Subject: bug#11400: 24.0.95; `url-copy-file' doesn't respect the umask

From: Stefan Monnier <[email-masked]>
Date: Thu, 10 May 2012 16:28:40 -0400

>> It seems that `url-copy-file' does not respect the `umask' value.
> Well, you could put it that way, or you could say that by default it
> creates private copies. Isn't this standard practice for many
> applications that download things?
> url-copy-file uses mm-save-part-to-file, which sets file modes according
> to mm-attachment-file-modes. For world-readable, set that to 420.
> There is no setting that means "don't change the mode bits"; maybe there
> should be.

BTW, I don't like the idea of URL using so much of "mm-*".
That doesn't feel like the right structuring.  I tend to think of mm- as
higher-level, so I'd expect mm- to use URL functions, but not the other
way around.

        Stefan